Bug 124032 - MacOSX: Macro-Dialog: Background-Color on TextBoxes don't show
Summary: MacOSX: Macro-Dialog: Background-Color on TextBoxes don't show
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2019-03-12 18:49 UTC by Kai Struck
Modified: 2019-04-23 13:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
MacOSX-Dialog-Textbox-BackgroundColor.odt (12.50 KB, application/vnd.oasis.opendocument.text)
2019-03-12 18:51 UTC, Kai Struck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Struck 2019-03-12 18:49:28 UTC
Description:
On MacOSX: Macro-Dialog: Background-Color on TextBoxes don't show

This is only on MacOSX (Tested High Sierra in VirtualBox)
Windows 7 or 10 and Linux is ok

The setting which is necessary on Linux doesn't help here: 
oDialog.getPeer().setProperty( "NativeWidgetLook", False )
doesn't help here

(this breaks the functionality of the Edit-Dialog of the extension ChordDiagrams
https://extensions.libreoffice.org/extensions/chorddiagrams )

Steps to Reproduce:
1.Run the Dialog by pressing the button in the attached .odt
2.Click with the mouse in a textbox to change its background color


Actual Results:
background color should switch between white and black

Expected Results:
background color doesn't switch between white and black


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Kai Struck 2019-03-12 18:51:24 UTC
Created attachment 149921 [details]
MacOSX-Dialog-Textbox-BackgroundColor.odt
Comment 2 Alex Thurgood 2019-03-13 07:29:06 UTC
Confirming with

Version: 6.1.5.2
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
Threads CPU : 8; OS : Mac OS X 10.14.3; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group threaded

and provided ODT as test document.

The colour change works, on the otherhand, in

Version: 4.1.6.2
Build ID: 40ff705089295be5be0aae9b15123f687c05b0a


==> regression
Comment 3 Alex Thurgood 2019-03-13 07:33:19 UTC
This continues to work for me up to LO4452.

Fails first for me in (I don't have any 5.0.x versions installed)

Version: 5.1.6.2
Build ID: 07ac168c60a517dba0f0d7bc7540f5afa45f0909
Threads CPU : 8; Version de l'OS :Mac OS X 10.14.3; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group

so the bibisect should target between LO4452 and LO5162.
Comment 4 Commit Notification 2019-04-17 07:24:33 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1e917af27d18d934f3e9122aa98cd950b74ca246%5E%21

tdf#124032 fix Edit background drawing

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-04-23 13:13:10 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/6de6f97e775d0c9426b51471d742ab5dd461b9df%5E%21

tdf#124032 fix Edit background drawing

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.